local M = {}

function M.filtrarRadios(radios, criterio)
local radiosFiltradas = {}
criterio = criterio:lower()
for _, radio in ipairs(radios) do
if radio.nombre:lower():find(criterio) or
radio.pais:lower():find(criterio) then
table.insert(radiosFiltradas, radio)
end
end
return radiosFiltradas
end

function M.VerifiConex()
local cm = context.getSystemService(Context.CONNECTIVITY_SERVICE)
local activeNetwork = cm.getActiveNetworkInfo()
return activeNetwork ~= nil and activeNetwork.isConnected()
end

function M.actualizarListaRadios(radios, filtro, radioList)
local radioInfo = {}
for i, radio in ipairs(radios) do
local info
if filtro == "Todas"  then
info = string.format("%s - %s, %s", radio.name or "Sin nombre", radio.country or "País desconocido", radio.state or "Ciudad desconocida")
else
info = string.format("%s - %s", radio.nombre or "Sin nombre", radio.pais or "País desconocido")
end
table.insert(radioInfo, info)
end
local newAdapter = ArrayAdapter(context, android.R.layout.simple_list_item_1, String(radioInfo))
radioList.setAdapter(newAdapter)
end

return M